GLOBAL.setmetatable(env,{__index=function(t,k) return GLOBAL.rawget(GLOBAL,k) end})

PrefabFiles = {
	"glasses"
}

Recipe("glasses", {Ingredient("petals", 40), Ingredient("livinglog", 10), Ingredient("opalpreciousgem", 3)}, RECIPETABS.DRESS, TECH.NONE, 
{no_deconstruction = false}, nil, nil, 1, nil,
"images/aip_blue_glasses.xml", 
"aip_blue_glasses.tex")

STRINGS.NAMES.GLASSES = "★花园の眼镜★"
STRINGS.RECIPE_DESC.GLASSES  = "花园很可爱！"  
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GLASSES  = "花园很可爱！" 

AddPrefabPostInit("livinglog", function(inst)
      if not TheWorld.ismastersim then
           return inst
      end
 	
 	  if inst.components.tradable == nil then
             inst:AddComponent("tradable")
 	  end	
end) 

AddPlayerPostInit(function(inst)
      if not TheWorld.ismastersim then
           return inst
      end

      if inst.components.combat then
           local _calcDamage = inst.components.combat.CalcDamage
                    inst.components.combat.CalcDamage = function(target, weapon, multiplier)
                      local damage = _calcDamage(target, weapon, multiplier)
                      local hat = inst.components.inventory and inst.components.inventory:GetEquippedItem(EQUIPSLOTS.HEAD) or nil

                        if hat and hat.prefab == "glasses" and hat.gemlevel >= 10 then
                                  damage = damage*1.3
                        end	

               return damage
          end  
      end	
end)	

